# Uses of Class
org.eclipse.ltk.core.refactoring.Refactoring

Packages that use Refactoring
Package
Description
org.eclipse.ltk.core.refactoring
Application programmer interface to implement semantic preserving workspace transformations.
org.eclipse.ltk.core.refactoring.participants
Application programming interface to participant in existing rename, move and delete refactorings if the refactoring provider supports participation.
org.eclipse.ltk.core.refactoring.resource
Application programmer interface to implement resource dependend refactorings.
org.eclipse.ltk.ui.refactoring
Application programming interface to implement a wizard based user interface for refactorings.
org.eclipse.ltk.ui.refactoring.history
Application programming interface to display and preview refactoring history information.

## Uses of Refactoring in org.eclipse.ltk.core.refactoring

Methods in org.eclipse.ltk.core.refactoring that return Refactoring
Modifier and Type
Method
Description
`protected Refactoring`
PerformRefactoringHistoryOperation.`createRefactoring(RefactoringDescriptor descriptor, RefactoringStatus status)`
Deprecated.
since 3.4.
`protected Refactoring`
PerformRefactoringHistoryOperation.`createRefactoring(RefactoringDescriptor descriptor, RefactoringStatus status, IProgressMonitor monitor)`
Deprecated.
since 3.6.
`abstract Refactoring`
RefactoringDescriptor.`createRefactoring(RefactoringStatus status)`
Creates the a new refactoring instance for this refactoring descriptor.
`Refactoring`
CheckConditionsOperation.`getRefactoring()`
Returns the operation's refactoring
`Refactoring`
RefactoringContext.`getRefactoring()`
Returns the refactoring associated with the context.
Methods in org.eclipse.ltk.core.refactoring with parameters of type Refactoring
Modifier and Type
Method
Description
`protected RefactoringStatus`
PerformRefactoringHistoryOperation.`aboutToPerformRefactoring(Refactoring refactoring, RefactoringDescriptor descriptor, IProgressMonitor monitor)`
Hook method which is called when the specified refactoring is going to be executed.
`protected void`
PerformRefactoringHistoryOperation.`refactoringPerformed(Refactoring refactoring, IProgressMonitor monitor)`
Hook method which is called when the specified refactoring has been performed.
Constructors in org.eclipse.ltk.core.refactoring with parameters of type Refactoring
Modifier
Constructor
Description
``
`CheckConditionsOperation(Refactoring refactoring, int style)`
Creates a new `CheckConditionsOperation`.
``
`CreateChangeOperation(Refactoring refactoring)`
Creates a new operation with the given refactoring.
``
`PerformRefactoringOperation(Refactoring refactoring, int style)`
Create a new perform refactoring operation.
``
`RefactoringContext(Refactoring refactoring)`
Creates a context for the given refactoring.

## Uses of Refactoring in org.eclipse.ltk.core.refactoring.participants

Subclasses of Refactoring in org.eclipse.ltk.core.refactoring.participants
Modifier and Type
Class
Description
`class`
`CopyRefactoring`
A generic copy refactoring.
`class`
`DeleteRefactoring`
A generic delete refactoring.
`class`
`MoveRefactoring`
A generic move refactoring.
`class`
`ProcessorBasedRefactoring`
An base implementation for refactorings that are split into one refactoring processor and 0..n participants.
`class`
`RenameRefactoring`
A generic rename refactoring.

## Uses of Refactoring in org.eclipse.ltk.core.refactoring.resource

Methods in org.eclipse.ltk.core.refactoring.resource that return Refactoring
Modifier and Type
Method
Description
`Refactoring`
DeleteResourcesDescriptor.`createRefactoring(RefactoringStatus status)`
`Refactoring`
MoveRenameResourceDescriptor.`createRefactoring(RefactoringStatus status)`
`Refactoring`
MoveResourcesDescriptor.`createRefactoring(RefactoringStatus status)`
`Refactoring`
RenameResourceDescriptor.`createRefactoring(RefactoringStatus status)`

## Uses of Refactoring in org.eclipse.ltk.ui.refactoring

Methods in org.eclipse.ltk.ui.refactoring that return Refactoring
Modifier and Type
Method
Description
`final Refactoring`
RefactoringWizard.`getRefactoring()`
Returns the refactoring this wizard is associated with.
`protected Refactoring`
RefactoringWizardPage.`getRefactoring()`
Returns the refactoring associated with this wizard page.
Constructors in org.eclipse.ltk.ui.refactoring with parameters of type Refactoring
Modifier
Constructor
Description
``
`RefactoringWizard(Refactoring refactoring, int flags)`
Creates a new refactoring wizard for the given refactoring.

## Uses of Refactoring in org.eclipse.ltk.ui.refactoring.history

Methods in org.eclipse.ltk.ui.refactoring.history that return Refactoring
Modifier and Type
Method
Description
`protected Refactoring`
RefactoringHistoryWizard.`createRefactoring(RefactoringDescriptor descriptor, RefactoringStatus status)`
Deprecated.
since 3.6.
`protected Refactoring`
RefactoringHistoryWizard.`createRefactoring(RefactoringDescriptor descriptor, RefactoringStatus status, IProgressMonitor monitor)`
Deprecated.
since 3.7.
Methods in org.eclipse.ltk.ui.refactoring.history with parameters of type Refactoring
Modifier and Type
Method
Description
`protected RefactoringStatus`
RefactoringHistoryWizard.`aboutToPerformRefactoring(Refactoring refactoring, RefactoringDescriptor descriptor, IProgressMonitor monitor)`
Hook method which is called before the a refactoring of the history is executed.
`final RefactoringStatus`
RefactoringHistoryWizard.`performPreviewChange(Change change, Refactoring refactoring)`
Performs the change previously displayed in the preview.
`protected RefactoringStatus`
RefactoringHistoryWizard.`refactoringPerformed(Refactoring refactoring, IProgressMonitor monitor)`
Hook method which is called when the specified refactoring has been performed, e.g. its change object has been successfully applied to the workspace.